brightd(1)

NAME
brightd - a brightness control daemon

SYNOPSIS

brightd [-v] [-d] [-P <file>] [-u n] [-e n] [-w n] [-b s] [-f] [-c n] [-x] [-r n] brightd [-v] [-d] [-P <file>] [-u n] [-e n] [-w n] [-b s] [-f] [-c n] [-r n]

DESCRIPTION
brightd is a daemon which dynamically reduces LCD brightness when you don't use your pc. The idea is adapted from iBooks.

OPTIONS

-v  Output some debugging information. Will not work in daemon mode.

-d  Will cause brightd to fork itself into background. You'll want to use this ;)

-P <file>
    Set location of pid file in daemon mode (Default is /var/run/brightd.pid).

-u n
    brightd will drop privileges after opening all file descriptors. With this setting you may choose which user to change to.

    You have X11-Sessions and to start brightd as root; or at least as a user which might access /dev/input/event

-e n
    Filter used event sources by POSIX extended regexp n (for example, use "i8042.+event" on intel platforms to avoid having HDAPS taken into account) You are supposed to include "event" here, but you are not required to.

-w n
    The amount of seconds of inactivity to wait before reducing brightness

-b n
    Dark screen brightness Never reduce brightness below that value. Note that you won't be able to change brightness manually below this value as well.

-f  Reduce brightness even if on the highest brightness level. By default, brightd won't do this. That way you can temporally disable it while reading through a text or so. If you specify this option twice, brightd will also reduce brightness when you're on AC.

-c s
    Set the backlight class to use. You may specify any subdirectoy of /sys/class/backlight -x Don't query X11 for inactivity / deactivated screensavers

-r n
    brightd will create a FIFO n (deleting the file if it existed before!) and read from it. If you tell your acpid to write brightness levels to that FIFO when the user changes brightness, brightd can help you with some stuff: For example, if brightd faded to brightness 0 and you increase brightness, brightd would automatically fade up to the highest level.

FILES

/usr/bin/brightd /sys/class/backlight/*/*

AUTHORS
Phillip Berndt (mail at pberndt dot com)
Richard Weinberger (richard at nod dot at)
Hannes von Haugwitz (hannes at vonhaugwitz dot com)